Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.element
Class TypeValuePairType

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.TypeValuePairType

    public class TypeValuePairType

extends java.lang.Object

Java class for TypeValuePairType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TypeValuePairType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}base64Binary" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`static java.lang.String` | `DB_TypeValuePair`

Constructor Summary
`TypeValuePairType()`
`TypeValuePairType(java.lang.String type, byte[] value)`

Method Summary
`java.lang.String` | `getType()` Gets the value of the type property.
`byte[]` | `getValue()` Gets the value of the value property.
`static boolean` | `IsValidElement(org.w3c.dom.Element el)`
`void` | `parse(org.w3c.dom.Element el)`
`void` | `setType(java.lang.String value)` Sets the value of the type property.
`void` | `setValue(byte[] value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DB_TypeValuePair

    public static java.lang.String DB_TypeValuePair

Constructor Detail

### TypeValuePairType

    public TypeValuePairType()

### TypeValuePairType

    public TypeValuePairType(java.lang.String type,
                             byte[] value)

Method Detail

### getType

    public java.lang.String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(java.lang.String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getValue

    public byte[] getValue()

  Gets the value of the value property.

  Returns:
    possible object is byte[]

### setValue

    public void setValue(byte[] value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is byte[]

### IsValidElement

    public static boolean IsValidElement(org.w3c.dom.Element el)

### parse

    public void parse(org.w3c.dom.Element el)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD